This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 207028 - xmlrpc -> getEntitlements generates null pointer exception
xmlrpc -> getEntitlements generates null pointer exception
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn420
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Brandon Perkins
:
Depends On:
Blocks: 165365
  Show dependency treegraph
 
Reported: 2006-09-18 16:30 EDT by Ken Ganong
Modified: 2008-04-21 12:14 EDT (History)
1 user (show)

See Also:
Fixed In Version: 420
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 12:14:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-09-18 16:30:44 EDT
xmlrpc had a bug in which one calling getEntitlements with SystemHandler would
generate a null pointer exception if the server id they gave was a member of a
user defined server group.
Comment 1 Ken Ganong 2006-09-18 16:44:40 EDT
fixed in both 415 and 420 as of subversion revision 102544.
Comment 2 Ken Ganong 2006-12-15 15:47:18 EST
Reassigning a bunch of my bugs to mmccune so they aren't forgotten.

Note You need to log in before you can comment on or make changes to this bug.